=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: kimap
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.3~),
+               libkmime-dev (>= 25.04.1~),
                libsasl2-dev,
                libsasl2-modules,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kimap
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kimap
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kimap.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimap
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimap
 Rules-Requires-Root: no
 
 Package: libkimap-data
@@ -37,7 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6coreaddons-dev (>= 6.6.0~),
-         libkmime-dev (>= 24.12.3~),
+         libkmime-dev (>= 25.04.1~),
          libkpim6imap6 (= ${binary:Version}),
          libsasl2-dev,
          ${misc:Depends},
