=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -6,4 +6,10 @@
 target_link_libraries(testimapidle KPim6IMAP Qt::Test KF6::KIOCore Qt::Network)
 
 add_executable(testimapserver testimapserver.cpp)
-target_link_libraries(testimapserver KPim6IMAP Qt::Test KF6::KIOCore Qt::Network)
+target_link_libraries(
+    testimapserver
+    KPim6IMAP
+    Qt::Test
+    KF6::KIOCore
+    Qt::Network
+)
