## kimap 25.08.2+p24.04+vstable+git20251015.1220

=== debian/changelog ===
kimap (25.08.2+p24.04+vstable+git20251015.1220-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:20:32 +0000

kimap (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:27:34 +0000
