## kimap 25.08.2+p24.04+vstable+git20251019.0508

=== debian/changelog ===
kimap (25.08.2+p24.04+vstable+git20251019.0508-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:08:27 +0000
