=== debian/changelog ===
kimap (25.08.2+p24.04+vunstable+git20251015.1321-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 13:21:10 +0000
