=== debian/control ===
Source: kimap
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kpim6-kmime-dev,
               libboost-dev (>= 1.34.0~),
               libsasl2-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/kimap
Vcs-Git: https://invent.kde.org/neon/kde/kimap.git
Vcs-Browser: https://invent.kde.org/neon/kde/kimap
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-kimap
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5imap5, libkf6imap6, libkpim6imap6
Description: library for handling IMAP data
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.

Package: kpim6-kimap-dev
Architecture: any
X-Neon-MergedPackage: true
Depends: kf6-kcoreaddons-dev,
         kf6-kio-dev,
         kpim6-kimap (= ${binary:Version}),
         kpim6-kmime-dev,
         libboost-dev (>= 1.34.0~),
         libsasl2-dev,
         ${misc:Depends}
Replaces: libkf5imap-dev, libkf6imap-dev, libkpim6imap-dev
Description: library for handling IMAP data - development files
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.
 .
 This package contains the development files.

Package: libkpim6imap-dev
Architecture: all
Depends: kpim6-kimap-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6imap6
Architecture: all
Depends: kpim6-kimap, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6imap-dev
Architecture: all
Depends: kpim6-kimap-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6imap6
Architecture: all
Depends: kpim6-kimap, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5imap-dev
Architecture: all
Depends: kpim6-kimap-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5imap5
Architecture: all
Depends: kpim6-kimap, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
