## kimap 25.08.2+p24.04+vunstable+git20251020.1120

=== debian/changelog ===
kimap (25.08.2+p24.04+vunstable+git20251020.1120-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:20:40 +0000
