## kimap 25.08.2+p24.04+vunstable+git20251022.0252

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 project(KIMAP VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
